AstroAsk Docs
API referenceGeolocationV1GeoSearch

GET /v1/geo/search

Offline city database search by name prefix. Returns lat, lng, timezone.

GET
/v1/geo/search

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Query Parameters

q*string

City name prefix (min 2 characters)

limit?integer

Max results (default 10)

country?string

ISO alpha-2 country code filter

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/geo/search?q=string"
{  "success": true,  "data": {    "count": 6,    "results": [      {        "id": 1275339,        "name": "Mumbai",        "asciiName": "Mumbai",        "state": "Maharashtra",        "countryCode": "IN",        "lat": 19.07283,        "lng": 72.88261,        "timezone": "Asia/Kolkata",        "population": 12691836      },      {        "id": 904422,        "name": "Mumbwa",        "asciiName": "Mumbwa",        "state": "Central Province",        "countryCode": "ZM",        "lat": -14.98293,        "lng": 27.0619,        "timezone": "Africa/Lusaka",        "population": 49461      },      {        "id": 185702,        "name": "Mumias",        "asciiName": "Mumias",        "state": "Kakamega County",        "countryCode": "KE",        "lat": 0.33474,        "lng": 34.48796,        "timezone": "Africa/Nairobi",        "population": 45485      },      {        "id": 2297810,        "name": "Mumford",        "asciiName": "Mumford",        "state": "Central",        "countryCode": "GH",        "lat": 5.26176,        "lng": -0.75897,        "timezone": "Africa/Accra",        "population": 13983      },      {        "id": 524473,        "name": "Mumra",        "asciiName": "Mumra",        "state": "Astrakhan Oblast",        "countryCode": "RU",        "lat": 45.77251,        "lng": 47.65398,        "timezone": "Europe/Astrakhan",        "population": 2372      },      {        "id": 2659553,        "name": "Mumpf",        "asciiName": "Mumpf",        "state": "Aargau",        "countryCode": "CH",        "lat": 47.54563,        "lng": 7.92123,        "timezone": "Europe/Zurich",        "population": 1425      }    ]  }}